gnutls_pk_self_test(3)

NAME
gnutls_pk_self_test - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pk_self_test(unsigned all, gnutls_pk_algorithm_t pk);

ARGUMENTS

unsigned all
    if non-zero then tests to all public key algorithms are performed.

gnutls_pk_algorithm_t pk
    the algorithm to use

DESCRIPTION
This function will run self tests on the provided public key algorithm.

RETURNS
Zero or a negative error code on error.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/